MFUtil (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Class MFUtil

- java.lang.Object
- - com.marketfactory.api.MFUtil

-     public class MFUtil
      extends java.lang.Object

  A utility class, which provides some convenience methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MFUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPure(MDElement e)`
    `static boolean` | `isStruct(MDElement e)`
    `static boolean` | `isTrade(MDElement e)`
    `static long` | `now()` Returns the current milliseconds multiplied by 10^6 to make it look like nanos.
    `static long` | `nowRelativeNs()` The relative nanos as obtained using `System.nanoTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MFUtil

          public MFUtil()

  - ### Method Detail

    - #### isPure

          public static boolean isPure(MDElement e)

      Parameters:
        `e` - to check
      Returns:
        true if the element is a pure price level element type.

    - #### isStruct

          public static boolean isStruct(MDElement e)

      Parameters:
        `e` - to check
      Returns:
        true if the element is a structured element type.

    - #### isTrade

          public static boolean isTrade(MDElement e)

      Parameters:
        `e` - to check
      Returns:
        true if the element is a trade element type.

    - #### now

          public static long now()

      Returns the current milliseconds multiplied by 10^6 to make it look like nanos. This is done so that the wallclock epoch millis can be compared with wallclock nanos
      Returns:
        the current millis past epoch multiplied by 10^6

    - #### nowRelativeNs

          public static long nowRelativeNs()

      The relative nanos as obtained using `System.nanoTime()`
      Returns:
        the nanos elapsed since some arbitrary point in time